Loading...
Searching...
No Matches
CglFlowVUB Class Reference

Variable upper bound class. More...

`#include <CglFlowCover.hpp>`

## Public Member Functions

| CglFlowVUB ()
| The Value of the associated upper bound.
| CglFlowVUB (const CglFlowVUB &source)
CglFlowVUB & | operator= (const CglFlowVUB &rhs)
Query and set functions for associated 0-1 variable index
and value.
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)

## Protected Attributes

int | varInd_
double | upper_
| The index of the associated 0-1 variable.

## Detailed Description

Variable upper bound class.

Definition at line 102 of file CglFlowCover.hpp.

## Constructor & Destructor Documentation

## CglFlowVUB() [1/2]

CglFlowVUB::CglFlowVUB | ( |  | ) |

inline

The Value of the associated upper bound.

Definition at line 109 of file CglFlowCover.hpp.

## CglFlowVUB() [2/2]

CglFlowVUB::CglFlowVUB | ( | const CglFlowVUB & | source | ) |

inline

Definition at line 111 of file CglFlowCover.hpp.

## Member Function Documentation

## operator=()

CglFlowVUB & CglFlowVUB::operator= | ( | const CglFlowVUB & | rhs | ) |

inline

Definition at line 116 of file CglFlowCover.hpp.

## getVar()

int CglFlowVUB::getVar | ( |  | ) | const

inline

Definition at line 128 of file CglFlowCover.hpp.

## getVal()

double CglFlowVUB::getVal | ( |  | ) | const

inline

Definition at line 129 of file CglFlowCover.hpp.

## setVar()

void CglFlowVUB::setVar | ( | const int | v | ) |

inline

Definition at line 130 of file CglFlowCover.hpp.

## setVal()

void CglFlowVUB::setVal | ( | const double | v | ) |

inline

Definition at line 131 of file CglFlowCover.hpp.

## Member Data Documentation

## varInd_

int CglFlowVUB::varInd_

protected

Definition at line 105 of file CglFlowCover.hpp.

## upper_

double CglFlowVUB::upper_

protected

The index of the associated 0-1 variable.

Definition at line 106 of file CglFlowCover.hpp.

The documentation for this class was generated from the following file:

- Cgl/src/CglFlowCover/CglFlowCover.hpp